
Base Language - Bug #7240

conversion problem related to ENTERED in a IF expr

03/31/2023 03:19 AM - Constantin Asofiei

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

History

#2 - 03/31/2023 03:19 AM - Constantin Asofiei

The recreate is this:

def var ch as char.

form ch with frame f1.

enable ch with frame f1.

if not frame f1 ch entered then do:

  message "x".

end.

#3 - 03/31/2023 11:51 AM - Constantin Asofiei

- Status changed from New to Review

- Assignee set to Constantin Asofiei

- % Done changed from 0 to 100

The fix is in 7199b/14524

#4 - 03/31/2023 01:34 PM - Constantin Asofiei

- Project changed from QAD to Base Language

#5 - 04/02/2023 03:41 PM - Constantin Asofiei

There is another issue related to INPUT/ENTERED - fields need to be treated the same way as vars in input_functions.rules

def temp-table tt1 field f1 as char field f2 as char.

form tt1.f2 with frame f1.

find first tt1 where tt1.f1 = frame f1 tt1.f2.

def var ch as char.

def var l as log.
ch = frame f1 tt1.f2.

l = frame f1 tt1.f2 entered.

#6 - 04/03/2023 01:41 AM - Constantin Asofiei

The fix is in 7199b/14527

#7 - 04/04/2023 03:18 AM - Constantin Asofiei

Another issue is related to frame f1 ... not entered version - the fix is in 7199b/14528.

#8 - 04/05/2023 03:55 PM - Greg Shah

Code Review Task Branch 7199b Revisions 14524, 14527 and 14528

No objections.

#9 - 04/05/2023 03:55 PM - Greg Shah

- Status changed from Review to Test

#10 - 04/10/2023 07:55 AM - Constantin Asofiei

7199b/14533 was merged to trunk rev 14528 and archived.

#11 - 04/10/2023 08:23 AM - Greg Shah

- Status changed from Test to Closed

#12 - 04/24/2023 12:57 PM - Constantin Asofiei

Another case somehow related to #7178 - tt1.f1 [not] entered  must not produce a buffer reference.  A fix for this is in 7156a/14543, will be included in

the #7178 work.

#13 - 05/01/2023 04:50 AM - Constantin Asofiei

Constantin Asofiei wrote:

Another case somehow related to #7178 - tt1.f1 [not] entered  must not produce a buffer reference.  A fix for this is in 7156a/14543, will be

included in the #7178 work.

 

This fix was committed to 7199c rev 14553.

#14 - 06/05/2023 10:30 AM - Constantin Asofiei

7199c was merged to trunk rev 14610 and archived
